Bug 409581 - bogus flag passed when building emacs cause bloat
bogus flag passed when building emacs cause bloat
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Chip Coldwell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 17:42 EST by dann
Modified: 2008-05-21 03:54 EDT (History)
0 users

See Also:
Fixed In Version: emacs-22.2-4.fc9.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 03:54:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dann 2007-12-03 17:42:16 EST
emacs-22.1-8.fc8 is built with:  -DSYSTEM_PURESIZE_EXTRA=16777216

This is a bad idea, it causes bloat: 

size -f /usr/bin/emacs-22.1
   text    data     bss     dec     hex filename
1611987 20719048              0 22331035        154be9b /usr/bin/emacs-22.1
Look at the data segment size. 
Compare that to an emacs I built:
size -f ~/bin/emacs
   text    data     bss     dec     hex filename
1360562 4074532       0 5435094  52eed6 /home/dann/bin/emacs

Why is SYSTEM_PURESIZE_EXTRA even set? It should not be needed by default.
If it is, then please let me know and I will fix it in emacs CVS.
Comment 1 Fedora Update System 2007-12-07 16:32:58 EST
emacs-22.1-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs'
Comment 2 dann 2008-01-17 08:54:59 EST
(In reply to comment #1)
> emacs-22.1-6.fc7 has been pushed to the Fedora 7 testing repository.  If
problems still persist, please make note of it in this bug report.

I have emacs-22.1-8.fc8 and the problem still persists. 
size -f /usr/bin/emacs-22.1 
   text    data     bss     dec     hex filename
1611987 20719048              0 22331035        154be9b /usr/bin/emacs-22.1
        ^^^^^^^^^
       This is 16MB too big.


Note You need to log in before you can comment on or make changes to this bug.